## org.biojava.bio.program.das
Class DataSource

    java.lang.Object
      org.biojava.bio.program.das.DataSource

Direct Known Subclasses:
  ReferenceServer

    public class DataSource

extends Object

Reflect a datasource (reference or annotation) in the DAS1 network.

Author:
  Matthew Pocock, Thomas Down

Method Summary
`boolean` `equals(Object other)`
`String` `getDescription()`
`DistDataSource` `getDistDataSource()`
`URL` `getMapURL()`
`String` `getName()`
`URL` `getURL()`
`int` `hashCode()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getURL

    public URL getURL()

### getMapURL

    public URL getMapURL()

### getName

    public String getName()

### getDescription

    public String getDescription()

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `Object`

### equals

    public boolean equals(Object other)

  Overrides:
    `equals` in class `Object`

### getDistDataSource

    public DistDataSource getDistDataSource()
                                     throws BioException

  Throws:
    `BioException`